建站资讯

wpwiki专业知识库主题风格在linux系统软件下安裝表

作者:admin 发布时间:2021-03-29
wpwiki专业知识库主题风格在linux系统软件下安裝表明 2018五月16日 9:14 阅读文章(1,137) 评价关掉

以便您尽早安裝并应用wpwiki,请您详尽阅读文章并严苛依照这篇表明实际操作。 【安裝运作自然环境】 请在64位实际操作系统软件,用管理方法员客户安裝: 一、选用root客户提交手机软件【wpwiki.tar

以便您尽早安裝并应用wpwiki,请您详尽阅读文章并严苛依照这篇表明实际操作。

【安裝运作自然环境】

请在64位实际操作系统软件,用管理方法员客户安裝:

一、选用root客户提交手机软件【wpwiki.tar.gz和】到文件目录(/opt) , (假如提交后出現文档错码,请 查询二进制提交的表明)

二、以【root客户】登陆linux服务器,转换到文件目录(/opt),一条一条的实行指令,不必大批量黏贴:    

 
 tar zxvf wpwiki.tar.gz 
 useradd mysql
 chmod -R 777 /opt/wpwiki/apache2/htdocs
 chmod -R 777 /opt/wpwiki/mysql/
 chmod -R 755 /opt/wpwiki/mysql/f
 /opt/wpwiki/ctlscript.sh start

三、取得成功安裝进行( 留意网络服务器的防火安全墙务必开启8883端口号,阿里巴巴云必须在安全性对策组中开启8883)

 

在访问器详细地址栏键入:http:/ /网络服务器ip:8883/wiki,开展浏览.


管理方法员客户名登陆密码:admin/111111。

访问器表明:假如用IE,务必IE11之上版本号,还可以用Chrome、firefox等。

   


难题表明:

一、针对2013年之前老版本的linux系统软件,假如安裝后没法起动,.

二、提醒必须glibc2.5,linux版本号太旧得话,许多手机软件都没法互相适配,请最少维持centos6.5之上版本号。

  表明当今linux自然环境的glib版本号太低了,必须开展升級。根据下列指令查询glib版本号:

 ldd –version

linux版本号太旧得话,许多手机软件都没法互相适配,假如升級了glib版本号,也会造成linux中别的手机软件没法一切正常运作,防止对目前系统软件导致危害,请最少在centos6.5版本号之上的系统软件中开展安裝。

 【应用表明】

一、在随意文件目录下:

    1、起动wpwiki指令:/opt/wpwiki/ctlscript.sh start

    2、关掉wpwiki指令:/opt/wpwiki/ctlscript.sh stop

    3、重新启动wpwiki指令:/opt/wpwiki/ctlscript.sh restart

二、数据信息库默认设置客户名root,登陆密码wangzhanmeng

 

【普遍难题表明】

一、起动时,系统软件提醒:

         XAMPP:SELinux is activated. Making XAMPP fit SELinux…

 
  处理方法:请关掉SElinux,终止方式:第一,实行“usr/sbin/setenforce 0”,第二,应用文字编写专用工具开启
/etc/selinux/config 把 SELINUX=enforcing 注解掉:#SELINUX=enforcing
,随后新加一个人行为:SELINUX=disabled

二、缓存文件文档载入不成功!:./Weily/Runtime/Cache/

    表明:沒有依照表明开展安裝(沒有赋权),请查询本表明第三行,依照表明一步一步的开展安裝,不必大批量黏贴。

三、安裝进行后,在网络服务器上边能够浏览,可是,换其他设备也不行,局域网络的别的朋友也没法浏览。

     linux的防火安全墙沒有开启网络服务器端口号,比如80和8888,怎样打开linux的防火安全墙端口号,请自主百度搜索。

 

根据下列指令查询当今linux系统软件的十位数,回到32,便是32位,回到64便是64位。务必在64位系统软件下开展安裝。

getconf LONGBIT


收缩